Skip to main content
GET
/
agencies
/
subscribers
List active subscribers across all agency creators
curl --request GET \
  --url https://api.fanvue.com/agencies/subscribers \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>'
{
  "data": [
    {
      "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "handle": "sarah-jones",
      "nickname": "SarahK",
      "displayName": "Sarah Jones",
      "isTopSpender": true,
      "avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
      "registeredAt": "2024-01-10T12:00:00.000Z",
      "creatorUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
      "subscribedAt": "2024-01-15T00:00:00.000Z",
      "expiresAt": null
    },
    {
      "uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
      "handle": "mike-smith",
      "nickname": null,
      "displayName": "Mike Smithly",
      "isTopSpender": false,
      "avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
      "registeredAt": "2024-01-10T12:00:00.000Z",
      "creatorUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r9",
      "subscribedAt": "2024-01-14T00:00:00.000Z",
      "expiresAt": "2024-01-15T00:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "size": 2,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Query Parameters

page
number
default:1

Page number to retrieve (starts from 1)

Required range: x >= 1
size
number
default:15

Number of items to return per page (1-50, default: 15)

Required range: 1 <= x <= 50
creatorUuids
string<uuid>[]

Comma-separated list of creator UUIDs to restrict results to a subset of the agency's managed creators (max 50) Comma-separated list of creator UUIDs (max 50)

Maximum array length: 50

Response

Paginated list of active subscribers across the agency's creators

data
object[]
required

Array of active subscribers across the agency's creators

pagination
object
required

Pagination information